Module __builtin__ :: Class object

[show private | hide private]
[frames | no frames]

## Class object

Known Subclasses:
  `str`, `type`, `_ThingWithTwoSlots`, `SRE_Pattern`, `instance`

The most base type

Method Summary
a new object with type S, a subtype of T | ``__new__`(S, ...)` T.__new__(S, ...) -> a new object with type S, a subtype of T

Class Variable Summary
`wrapper_descriptor` | `__init__`
`getset_descriptor` | `__class__`
`wrapper_descriptor` | `__delattr__`
`wrapper_descriptor` | `__getattribute__`
`wrapper_descriptor` | `__hash__`
`method_descriptor` | `__reduce__`
`wrapper_descriptor` | `__repr__`
`wrapper_descriptor` | `__setattr__`
`wrapper_descriptor` | `__str__`

Method Details

### __new__(S, ...)

T.__new__(S, ...) -> a new object with type S, a subtype of T

  Returns:
    a new object with type S, a subtype of T

Class Variable Details

### __init__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__init__' of 'object' objects>

### __class__

  Type:
    `getset_descriptor`
  Value:

        <attribute '__class__' of 'object' objects>

### __delattr__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__delattr__' of 'object' objects>

### __getattribute__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__getattribute__' of 'object' objects>

### __hash__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__hash__' of 'object' objects>

### __reduce__

  Type:
    `method_descriptor`
  Value:

        <method '__reduce__' of 'object' objects>

### __repr__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__repr__' of 'object' objects>

### __setattr__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__setattr__' of 'object' objects>

### __str__

  Type:
    `wrapper_descriptor`
  Value:

        <slot wrapper '__str__' of 'object' objects>

Generated by Epydoc 1.1 on Thu May 8 13:16:19 2003 | http://epydoc.sf.net